# Compatibility

Python 3.4 or higher is required to use the binding and run its accompanying unit tests.

# Running Unit Tests

Using command line (from the root of the repository)

```bash
python3 binding/python/test_porcupine.py
```

# Usage

For an example usage refer to [microphone demo application](/demo/python/porcupine_demo_mic.py) or
[file-based demo application](/demo/python/porcupine_demo_file.py).